<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <groupId>de.ugoe.cs.autoquest</groupId>
        <artifactId>autoquest-test</artifactId>
        <version>0.2.4-SNAPSHOT</version>
        <relativePath>../autoquest-test/pom.xml</relativePath>
    </parent>
    <modelVersion>4.0.0</modelVersion>
    <artifactId>autoquest-plugin-android-test</artifactId>
    <licenses>
        <license>
            <name>The Apache Software License, Version 2.0</name>
            <url>http://www.apache.org/licenses/LICENSE-2.0.txt</url>
        </license>
    </licenses>
    <scm>
        <url>${autoquest-scm-trunk-dir}/${project.artifactId}</url>
        <connection>scm:svn:${autoquest-scm-trunk-dir}/${project.artifactId}</connection>
    </scm>
    <properties>
        <tested-artifactId>autoquest-plugin-android</tested-artifactId>
    </properties>
    <dependencies>
        <!-- none -->
    </dependencies>
    <build>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-dependency-plugin</artifactId>
                <version>2.4</version>
                <executions>
                    <execution>
                        <id>get-android-plugin-config</id>
                        <phase>process-classes</phase>
                        <goals>
                            <goal>unpack</goal>
                        </goals>
                        <configuration>
                            <artifactItems>
                                <artifactItem>
                                    <groupId>de.ugoe.cs.autoquest</groupId>
                                    <artifactId>autoquest-plugin-android</artifactId>
                                    <version>${project.parent.version}</version>
                                    <classifier>config</classifier>
                                    <type>zip</type>
                                    <outputDirectory>${basedir}/data</outputDirectory>
                                </artifactItem>
                            </artifactItems>
                        </configuration>
                    </execution>
                </executions>
            </plugin>
            <plugin>
                <artifactId>maven-clean-plugin</artifactId>
                <version>2.5</version>
                <configuration>
                    <filesets>
                        <fileset>
                            <directory>${basedir}/data</directory>
                        </fileset>
                    </filesets>
                </configuration>
            </plugin>
        </plugins>
    </build>
</project>